Ir al contenido

Detalle de cliente

Obtiene un customer por id (cus_…). Incluye payment_intents_count.

GEThttps://api.kuti.pe/v1/customers/{id}
Solo puedes leer clientes de tu merchant (el de la API key).

Path

id
stringrequerido
Id del customer en el path.Ej: cus_01J8Z3K4M5N6P7Q8R9S0T1U2V3

Language

Credentials

Header

Authorization

Secret key de developer · ejemplos con librerías estándar (aún sin SDK)

cURL Request
curl -s 'https://api.kuti.pe/v1/customers/cus_01J8Z3K4M5N6P7Q8R9S0T1U2V3' \
  -H 'Authorization: Bearer kuti_live_…'
Librería estándar · sin SDK propio
Response

Elige un ejemplo de respuesta:

application/json
200OK
{
  "success": true,
  "data": {
    "id": "cus_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
    "merchant_id": "mer_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
    "external_id": "cust_erp_4821",
    "type": "INDIVIDUAL",
    "first_name": "María",
    "last_name": "López",
    "document": {
      "country": "PE",
      "type": "DNI",
      "value": "45678912"
    },
    "email": "maria@example.com",
    "phone": "+51987654321",
    "payment_intents_count": 3,
    "created_at": "2026-09-04T10:48:59.556906Z"
  }
}